1# Makefile.in generated by automake 1.6.3 from Makefile.am.
2# @configure_input@
3
4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Process this file with automake to produce Makefile.in
18SHELL = @SHELL@
19
20srcdir = @srcdir@
21top_srcdir = @top_srcdir@
22VPATH = @srcdir@
23prefix = @prefix@
24exec_prefix = @exec_prefix@
25
26bindir = @bindir@
27sbindir = @sbindir@
28libexecdir = @libexecdir@
29datadir = @datadir@
30sysconfdir = @sysconfdir@
31sharedstatedir = @sharedstatedir@
32localstatedir = @localstatedir@
33libdir = @libdir@
34infodir = @infodir@
35mandir = @mandir@
36includedir = @includedir@
37oldincludedir = /usr/include
38pkgdatadir = $(datadir)/@PACKAGE@
39pkglibdir = $(libdir)/@PACKAGE@
40pkgincludedir = $(includedir)/@PACKAGE@
41top_builddir = .
42
43ACLOCAL = @ACLOCAL@
44AUTOCONF = @AUTOCONF@
45AUTOMAKE = @AUTOMAKE@
46AUTOHEADER = @AUTOHEADER@
47
48am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
49INSTALL = @INSTALL@
50INSTALL_PROGRAM = @INSTALL_PROGRAM@
51INSTALL_DATA = @INSTALL_DATA@
52install_sh_DATA = $(install_sh) -c -m 644
53install_sh_PROGRAM = $(install_sh) -c
54install_sh_SCRIPT = $(install_sh) -c
55INSTALL_SCRIPT = @INSTALL_SCRIPT@
56INSTALL_HEADER = $(INSTALL_DATA)
57transform = @program_transform_name@
58NORMAL_INSTALL = :
59PRE_INSTALL = :
60POST_INSTALL = :
61NORMAL_UNINSTALL = :
62PRE_UNINSTALL = :
63POST_UNINSTALL = :
64
65EXEEXT = @EXEEXT@
66OBJEXT = @OBJEXT@
67PATH_SEPARATOR = @PATH_SEPARATOR@
68AMTAR = @AMTAR@
69AWK = @AWK@
70CC = @CC@
71DEPDIR = @DEPDIR@
72INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
73PACKAGE = @PACKAGE@
74STRIP = @STRIP@
75VERSION = @VERSION@
76am__include = @am__include@
77am__quote = @am__quote@
78install_sh = @install_sh@
79
80AUTOMAKE_OPTIONS = gnu
81
82SUBDIRS = src doc checks debian
83
84
85# Don't put this in yet as yydecode.sf.net links to README from CVS.
86#CLEANFILES = README
87MAINTAINERCLEANFILES = aclocal.m4 aclocal.m4~ autoscan.log config.log	\
88	configure configure.scan COPYING depcomp INSTALL install-sh	\
89	Makefile.in missing mkinstalldirs stamp-h.in
90
91
92
93#EXTRA_DIST = ABOUT FAQ TODO
94TEXT_FILES = AUTHORS ChangeLog COPYING INSTALL INSTALL.w32 NEWS README THANKS
95
96UPDATE_PATH = ~/html/liyang/download/yydecode
97distdir_w32 = $(distdir)-bin.w32
98subdir = .
99ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
100mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
101CONFIG_HEADER = $(top_builddir)/src/config.h
102CONFIG_CLEAN_FILES =
103DIST_SOURCES =
104
105RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
106	uninstall-info-recursive all-recursive install-data-recursive \
107	install-exec-recursive installdirs-recursive install-recursive \
108	uninstall-recursive check-recursive installcheck-recursive
109DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
110	Makefile.in NEWS THANKS aclocal.m4 configure configure.ac \
111	depcomp install-sh missing mkinstalldirs
112DIST_SUBDIRS = $(SUBDIRS)
113all: all-recursive
114
115.SUFFIXES:
116
117am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
118 configure.lineno
119$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
120	cd $(top_srcdir) && \
121	  $(AUTOMAKE) --gnu  Makefile
122Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
123	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
124
125$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
126	$(SHELL) ./config.status --recheck
127$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
128	cd $(srcdir) && $(AUTOCONF)
129
130$(ACLOCAL_M4):  configure.ac
131	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
132uninstall-info-am:
133
134# This directory's subdirectories are mostly independent; you can cd
135# into them and run `make' without going through this Makefile.
136# To change the values of `make' variables: instead of editing Makefiles,
137# (1) if the variable is set in `config.status', edit `config.status'
138#     (which will cause the Makefiles to be regenerated when you run `make');
139# (2) otherwise, pass the desired values on the `make' command line.
140$(RECURSIVE_TARGETS):
141	@set fnord $$MAKEFLAGS; amf=$$2; \
142	dot_seen=no; \
143	target=`echo $@ | sed s/-recursive//`; \
144	list='$(SUBDIRS)'; for subdir in $$list; do \
145	  echo "Making $$target in $$subdir"; \
146	  if test "$$subdir" = "."; then \
147	    dot_seen=yes; \
148	    local_target="$$target-am"; \
149	  else \
150	    local_target="$$target"; \
151	  fi; \
152	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
153	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
154	done; \
155	if test "$$dot_seen" = "no"; then \
156	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
157	fi; test -z "$$fail"
158
159mostlyclean-recursive clean-recursive distclean-recursive \
160maintainer-clean-recursive:
161	@set fnord $$MAKEFLAGS; amf=$$2; \
162	dot_seen=no; \
163	case "$@" in \
164	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
165	  *) list='$(SUBDIRS)' ;; \
166	esac; \
167	rev=''; for subdir in $$list; do \
168	  if test "$$subdir" = "."; then :; else \
169	    rev="$$subdir $$rev"; \
170	  fi; \
171	done; \
172	rev="$$rev ."; \
173	target=`echo $@ | sed s/-recursive//`; \
174	for subdir in $$rev; do \
175	  echo "Making $$target in $$subdir"; \
176	  if test "$$subdir" = "."; then \
177	    local_target="$$target-am"; \
178	  else \
179	    local_target="$$target"; \
180	  fi; \
181	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
182	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
183	done && test -z "$$fail"
184tags-recursive:
185	list='$(SUBDIRS)'; for subdir in $$list; do \
186	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
187	done
188
189ETAGS = etags
190ETAGSFLAGS =
191
192tags: TAGS
193
194ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
195	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
196	unique=`for i in $$list; do \
197	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
198	  done | \
199	  $(AWK) '    { files[$$0] = 1; } \
200	       END { for (i in files) print i; }'`; \
201	mkid -fID $$unique
202
203TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
204		$(TAGS_FILES) $(LISP)
205	tags=; \
206	here=`pwd`; \
207	list='$(SUBDIRS)'; for subdir in $$list; do \
208	  if test "$$subdir" = .; then :; else \
209	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
210	  fi; \
211	done; \
212	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
213	unique=`for i in $$list; do \
214	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
215	  done | \
216	  $(AWK) '    { files[$$0] = 1; } \
217	       END { for (i in files) print i; }'`; \
218	test -z "$(ETAGS_ARGS)$$tags$$unique" \
219	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
220	     $$tags $$unique
221
222GTAGS:
223	here=`$(am__cd) $(top_builddir) && pwd` \
224	  && cd $(top_srcdir) \
225	  && gtags -i $(GTAGS_ARGS) $$here
226
227distclean-tags:
228	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
229DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
230
231top_distdir = .
232distdir = $(PACKAGE)-$(VERSION)
233
234am__remove_distdir = \
235  { test ! -d $(distdir) \
236    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
237         && rm -fr $(distdir); }; }
238
239GZIP_ENV = --best
240distcleancheck_listfiles = find . -type f -print
241
242distdir: $(DISTFILES)
243	$(am__remove_distdir)
244	mkdir $(distdir)
245	@list='$(DISTFILES)'; for file in $$list; do \
246	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
247	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
248	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
249	    dir="/$$dir"; \
250	    $(mkinstalldirs) "$(distdir)$$dir"; \
251	  else \
252	    dir=''; \
253	  fi; \
254	  if test -d $$d/$$file; then \
255	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
256	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
257	    fi; \
258	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
259	  else \
260	    test -f $(distdir)/$$file \
261	    || cp -p $$d/$$file $(distdir)/$$file \
262	    || exit 1; \
263	  fi; \
264	done
265	list='$(SUBDIRS)'; for subdir in $$list; do \
266	  if test "$$subdir" = .; then :; else \
267	    test -d $(distdir)/$$subdir \
268	    || mkdir $(distdir)/$$subdir \
269	    || exit 1; \
270	    (cd $$subdir && \
271	      $(MAKE) $(AM_MAKEFLAGS) \
272	        top_distdir="$(top_distdir)" \
273	        distdir=../$(distdir)/$$subdir \
274	        distdir) \
275	      || exit 1; \
276	  fi; \
277	done
278	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
279	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
280	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
281	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
282	|| chmod -R a+r $(distdir)
283dist-gzip: distdir
284	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
285	$(am__remove_distdir)
286
287dist dist-all: distdir
288	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
289	$(am__remove_distdir)
290
291# This target untars the dist file and tries a VPATH configuration.  Then
292# it guarantees that the distribution is self-contained by making another
293# tarfile.
294distcheck: dist
295	$(am__remove_distdir)
296	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
297	chmod -R a-w $(distdir); chmod a+w $(distdir)
298	mkdir $(distdir)/=build
299	mkdir $(distdir)/=inst
300	chmod a-w $(distdir)
301	dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
302	  && cd $(distdir)/=build \
303	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
304	    $(DISTCHECK_CONFIGURE_FLAGS) \
305	  && $(MAKE) $(AM_MAKEFLAGS) \
306	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
307	  && $(MAKE) $(AM_MAKEFLAGS) check \
308	  && $(MAKE) $(AM_MAKEFLAGS) install \
309	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
310	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
311	  && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
312	      || { echo "ERROR: files left after uninstall:" ; \
313	           find $$dc_install_base -type f -print ; \
314	           exit 1; } >&2 ) \
315	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
316	  && rm -f $(distdir).tar.gz \
317	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
318	$(am__remove_distdir)
319	@echo "$(distdir).tar.gz is ready for distribution" | \
320	  sed 'h;s/./=/g;p;x;p;x'
321distcleancheck: distclean
322	if test '$(srcdir)' = . ; then \
323	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
324	  exit 1 ; \
325	fi
326	test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
327	  || { echo "ERROR: files left after distclean:" ; \
328	       $(distcleancheck_listfiles) ; \
329	       exit 1; } >&2
330check-am: all-am
331check: check-recursive
332all-am: Makefile
333installdirs: installdirs-recursive
334installdirs-am:
335
336install: install-recursive
337install-exec: install-exec-recursive
338install-data: install-data-recursive
339uninstall: uninstall-recursive
340
341install-am: all-am
342	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
343
344installcheck: installcheck-recursive
345install-strip:
346	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
347	  INSTALL_STRIP_FLAG=-s \
348	  `test -z '$(STRIP)' || \
349	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
350mostlyclean-generic:
351
352clean-generic:
353
354distclean-generic:
355	-rm -f Makefile $(CONFIG_CLEAN_FILES)
356
357maintainer-clean-generic:
358	@echo "This command is intended for maintainers to use"
359	@echo "it deletes files that may require special tools to rebuild."
360	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
361clean: clean-recursive
362
363clean-am: clean-generic mostlyclean-am
364
365distclean: distclean-recursive
366	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
367distclean-am: clean-am distclean-generic distclean-tags
368
369dvi: dvi-recursive
370
371dvi-am:
372
373info: info-recursive
374
375info-am:
376
377install-data-am:
378
379install-exec-am:
380
381install-info: install-info-recursive
382
383install-man:
384
385installcheck-am:
386
387maintainer-clean: maintainer-clean-recursive
388	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
389	-rm -rf autom4te.cache
390maintainer-clean-am: distclean-am maintainer-clean-generic
391
392mostlyclean: mostlyclean-recursive
393
394mostlyclean-am: mostlyclean-generic
395
396uninstall-am: uninstall-info-am
397
398uninstall-info: uninstall-info-recursive
399
400.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
401	clean-generic clean-recursive dist dist-all dist-gzip distcheck \
402	distclean distclean-generic distclean-recursive distclean-tags \
403	distcleancheck distdir dvi dvi-am dvi-recursive info info-am \
404	info-recursive install install-am install-data install-data-am \
405	install-data-recursive install-exec install-exec-am \
406	install-exec-recursive install-info install-info-am \
407	install-info-recursive install-man install-recursive \
408	install-strip installcheck installcheck-am installdirs \
409	installdirs-am installdirs-recursive maintainer-clean \
410	maintainer-clean-generic maintainer-clean-recursive mostlyclean \
411	mostlyclean-generic mostlyclean-recursive tags tags-recursive \
412	uninstall uninstall-am uninstall-info-am \
413	uninstall-info-recursive uninstall-recursive
414
415
416dist-w32:
417	-rm -rf $(distdir_w32)
418	mkdir $(distdir_w32)
419	( cd src ; make strip )
420	cp src/@PACKAGE@.exe $(distdir_w32)/
421	cp $(TEXT_FILES) $(distdir_w32)
422	( cd $(distdir_w32) ; todos $(TEXT_FILES) ;	\
423		for i in $(TEXT_FILES) ; do mv $$i $$i.txt ; done )
424	-chmod -R a+r $(distdir_w32)
425	zip -r -9 - $(distdir_w32) > $(distdir_w32).zip
426	-rm -rf $(distdir_w32)
427# Tell versions [3.59,3.63) of GNU make to not export all variables.
428# Otherwise a system limit (for SysV at least) may be exceeded.
429.NOEXPORT:
430